<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Prestasi</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
  <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h4 class="h4">Prestasi Akademik dan Non-Akademik Mahasiswa</h4>
  </div>
  <div class="row">
    <div class="col-md-12">
      <div class="card">
        <div class="card-header">
          <div class="card-header-action" style="text-align: right;">
            <a th:href="@{/prestasi/form(prodi = ${prodi.id}, tahun = ${tahun})}" class="btn btn-primary btn-sm"><i class="fa fa-plus-circle"></i> Tambah Data</a>
            <a th:href="@{/akreditasi(prodi = ${prodi.id}, tahun = ${tahun})}" class="btn btn-warning btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
          </div>
        </div>
        <div class="card-body">
          <div class="row">
            <div class="col-md-12" th:if="${success != null}">
              <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong th:text="${success}">Data berhasil di simpan.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
            <div class="col-md-12" th:if="${delete != null}">
              <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong th:text="${delete}">Data berhasil di hapus.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
            <div class="col-md-12" th:if="${error != null}">
              <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong th:text="${error}">Data berhasil di hapus.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
          </div>
          <div class="table-responsive">
            <table class="table table-bordered table-striped table-hover">
              <thead class="table-dark" style="--bs-table-bg:#2f78c2; border: 1px solid #cfd2d4">
              <tr>
                <th rowspan="2">#</th>
                <th rowspan="2">Nama Kegiatan</th>
                <th rowspan="2">Akademik/Non-Akademik</th>
                <th rowspan="2">Tanggal Perolehan</th>
                <th colspan="3" style="text-align: center;">Tingkat</th>
                <th rowspan="2">Prestasi yang Dicapai</th>
                <th rowspan="2">Standar Pendidikan Tinggi yang ditetapkan oleh Perguruan Tinggi</th>
                <th rowspan="2"></th>
                <th rowspan="2"></th>
              </tr>
              <tr>
                <th>Lokal/Wilayah</th>
                <th>Nasional</th>
                <th>Internasional</th>
              </tr>
              <tr>
                <th style="text-align: center;">0</th>
                <th style="text-align: center;">1</th>
                <th style="text-align: center;">2</th>
                <th style="text-align: center;">3</th>
                <th style="text-align: center;">4</th>
                <th style="text-align: center;">5</th>
                <th style="text-align: center;">6</th>
                <th style="text-align: center;">7</th>
                <th style="text-align: center;">8</th>
                <th style="text-align: center;">9</th>
                <th style="text-align: center;">10</th>
              </tr>
              </thead>
              <tbody>
              <tr th:each="data, row:${list}">
                <td th:text="${(row.index + 1)}"></td>
                <td th:text="${data.namaKegiatan}"></td>
                <td th:text="${data.jenis}"></td>
                <td th:text="${#temporals.format(data.tanggalDiperoleh, 'd MMMM yyyy')}"></td>
                <td>
                  <span th:if="${data.tingkat == 'Provinsi' || data.tingkat == 'Kota'}" th:text="${data.tingkat}"></span>
                </td>
                <td>
                  <span th:if="${data.tingkat == 'Nasional'}" th:text="${data.tingkat}"></span>
                </td>
                <td>
                  <span th:if="${data.tingkat == 'Internasional'}" th:text="${data.tingkat}"></span>
                </td>
                <td th:text="${data.prestasi}"></td>
                <td th:text="${data.standar}"></td>
                <td>
                  <a th:href="@{/prestasi/form(id = ${data.id}, prodi = ${prodi.id}, tahun = ${tahun})}" class="btn btn-primary btn-sm"><i class="fa fa-edit"></i></a>
                </td>
                <td>
                  <a th:href="@{/prestasi/delete(prestasi = ${data.id})}" onclick="return confirm('Apakah Anda yakin ingin menghapus data ini ?');" class="btn btn-danger btn-sm"><i class="fa fa-trash"></i></a>
                </td>
              </tr>
              </tbody>
            </table>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>
</body>
</html>